# SimpleHtdigest
Execute 'htdigest' from Node.js by non-root user.


## Installation
```bash
$ npm install SimpleHtdigest
```

## Usage

```js
var Htdigest = require('SimpleHtdigest');
var htdigest = Htdigest();


// user add/mod
var result = htdigest.save('.passwordfile', 'realm', 'username', 'password');
// If a pair 'realm' and 'username' is already exists at '.passwordfile',
//  the target entry is going to be updated.


//     or....


// user delete
var result = htdigest.delete('.passwordfile', 'realm', 'username');


//     or....


// get hash but does not save
var result = htdigest.getHash('realm', 'username', 'password');
```
